Date: Fri, 10 Apr 1998 18:22:56 +0200 (CEST)
From: Wout Klaren <W.Klaren@inter.NL.net>
To: linux-m68k@lists.linux-m68k.org
cc: Bernd Harries <bharries@vossnet.de>
Subject: Re: L68K: 2.1.90 doesn't boot. (fwd)
In-Reply-To: <Pine.LNX.3.96.980409215202.311A-100000@hexe.bis.uni-oldenburg.de>
Sender: owner-linux-m68k@phil.uni-sb.de

Hello,

On Thu, 9 Apr 1998, Bernd Harries wrote:

> When booting the output on the debug=ser1 only gives 2 lines Atari
> Hardware found stuff.
> 
> Could it be head.S is now broken for 68040? I had heavy doubt that there
> was code only valid for 68060 in it.
> 
> This is how 2.1.90 behaves. The starange thingis that more capital letters
> appear but J and the <CR> before thr Linux never appear.
> 
> ABCDEFGIKLMPLinux version 2.1.90 (root@Hexe) (gcc version 2.7.2.3) #20 Sun Apr 5 23:26:20 MEST 1998
> Atari hardware found: ST_MFP TT_MFP TT_SCSI_DMA STND_DMA EXTD_DMA TT_SCSI YM2149 CODEC SCC VME SCU IDE TT_CLK ACSI

This week I had the same problem on my Hades. The following patch solved
the problem.

--- /atari/h/linux-2.1.85.orig/arch/m68k/atari/time.c	Tue Apr  7 14:16:44 1998
+++ linux/arch/m68k/atari/time.c	Wed Apr  8 21:44:02 1998
@@ -83,14 +83,14 @@
 
 #define	RTC_READ(reg)				\
     ({	unsigned char	__val;			\
-		writeb(reg,&tt_rtc.regsel);	\
+		(void) writeb(reg,&tt_rtc.regsel);	\
 		__val = tt_rtc.data;		\
 		__val;				\
 	})
 
 #define	RTC_WRITE(reg,val)			\
     do {					\
-		writeb(reg,&tt_rtc.regsel);	\
+		(void) writeb(reg,&tt_rtc.regsel);	\
 		tt_rtc.data = (val);		\
 	} while(0)

I did not have time yet to find out if the problem is related to the gcc
version (2.7.2.3) I use.

I hope this helps.


Wout Klaren


